Begin OTP Challenge
POST
/api/v1/login/otp/begin
const url = 'https://api.spartanauth.com/api/v1/login/otp/begin';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"username":"example","transactionID":"example","registrationID":"example","sectorID":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.spartanauth.com/api/v1/login/otp/begin \ --header 'Content-Type: application/json' \ --data '{ "username": "example", "transactionID": "example", "registrationID": "example", "sectorID": "example" }'Request Body
Section titled “Request Body ” Media type application/json
object
username
optional - required if initializing a new challenge flow
string
transactionID
optional
string
registrationID
the ID of the OTP registration to use
string
sectorID
string
Example generated
{ "username": "example", "transactionID": "example", "registrationID": "example", "sectorID": "example"}Responses
Section titled “ Responses ”A successful response.
Media type application/json
object
transactionID
string
Example generated
{ "transactionID": "example"}default
Section titled “default ”An unexpected error response.
Media type application/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Example generated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}